Subject: RE: [Ecrit] Updated Draft: "Requirements forEmergencyContext Resolution with Internet Technologies"

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Tue, 6 Sep 2005 10:03:23 -0400

I have had a similar discussion on another thread where even the term "network" can be taken two different ways, depending on whether you are thinking data network or voice network.  I support the notion of avoiding using address without clear context.  My suggestion:

IP [network-layer] address
SIP [application-layer] address
civil address
geo address
location (civil/geo) address

Mike

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Stastny Richard
> Sent: Monday, September 05, 2005 9:23 AM
> To: Tschofenig, Hannes; Barry Dingle
> Cc: [email-masked]
> Subject: Re: [Ecrit] Updated Draft: "Requirements 
> forEmergencyContext Resolution with Internet Technologies"
> 
> To be precise: I have a problem
> > with the term 'address' (that is also defined in the terminology 
> > section)
>  
> it should be location address (or something like that) to 
> distuingish it from emergency address and network address
>  
> >or with the usage of address in the definition of 'emergency 
> address'?
> 
> The term address here is ambiguos: so either we leave network 
> address and define it in the definitions, or we come up with 
> something else
> 
> -richard
> 
> 
> ________________________________
> 
> Von: Tschofenig, Hannes [mailto:[email-masked]]
> Gesendet: Mo 05.09.2005 14:56
> An: Stastny Richard; Barry Dingle
> Cc: [email-masked]
> Betreff: AW: [Ecrit] Updated Draft: "Requirements for 
> EmergencyContext Resolution with Internet Technologies"
> 
> 
> 
> hi richard,
> 
> do you have a problem with the term 'emergency address' (as 
> it is defined or used in the document) or with the term 
> 'address' (that is also defined in the terminology section) 
> or with the usage of address in the definition of 'emergency address'?
> 
> ciao
> hannes
> 
> > -----Ursprüngliche Nachricht-----
> > Von: Stastny Richard [mailto:[email-masked]]
> > Gesendet: Montag, 5. September 2005 14:24
> > An: Tschofenig, Hannes; Barry Dingle
> > Cc: [email-masked]
> > Betreff: RE: [Ecrit] Updated Draft: "Requirements for 
> EmergencyContext 
> > Resolution with Internet Technologies"
> >
> >
> > Hi all,
> >
> > you cannot use the term address plain
> >
> > I still have a problem with the term address in the document.
> >
> > Address is used in 5 different contexts in the document:
> >
> > Address = location address (civil or geo) Emergency address 
> = the SIP 
> > URI of the (network) address ...
> > Network address = now reduced to address Authors address ;-)
> >
> > I propose for the avoidance of ambiguity even if it is 
> clear what the 
> > context is, always to use the term address with the proper 
> context in 
> > front e.g. location address
> >
> > -richard
> >
> >
> > Richard Stastny
> > OeFEG
> > tel:+43 664 420 4100
> > enum:+43 780 203 211
> > callto://fordprefect
> > http://voipandenum.blogspot.com
> > 
> >
> > > -----Original Message-----
> > > From: [email-masked]
> > [mailto:[email-masked]] On Behalf Of
> > > Tschofenig, Hannes
> > > Sent: Monday, September 05, 2005 10:53 AM
> > > To: Barry Dingle
> > > Cc: [email-masked]; Tracey Annear
> > > Subject: AW: [Ecrit] Updated Draft: "Requirements for
> > EmergencyContext
> > > Resolution with Internet Technologies"
> > >
> > > hi barry,
> > >
> > > thanks for the comment. i have added it to the issue tracker.
> > >
> > > here is the suggested change:
> > >
> > > from:
> > >
> > > "
> > >    emergency address: The sip:uri, sips:uri, or tel:uri
> > which represents
> > >       the network address of the PSAP useful for the 
> completion of a
> > >       VoIP emergency call.
> > > "
> > >
> > > to:
> > >
> > > "
> > >    emergency address: The sip:uri, sips:uri, or tel:uri
> > which represents
> > >       the address of the PSAP useful for the completion of
> > an emergency
> > > call.
> > > "
> > >
> > > i also changed 'network address' to 'address' since the
> > term "network
> > > address" should not be misunderstood as network layer
> > address (which would
> > > then be wrong).
> > >
> > > ciao
> > > hannes
> > >
> > >
> > > -----Ursprüngliche Nachricht-----
> > > Von: Barry Dingle [mailto:[email-masked]]
> > > Gesendet: Montag, 5. September 2005 06:48
> > > An: Tschofenig, Hannes
> > > Cc: [email-masked]; Tracey Annear
> > > Betreff: Re: [Ecrit] Updated Draft: "Requirements for
> > Emergency Context
> > > Resolution with Internet Technologies"
> > >
> > >
> > > Hannes,
> > >
> > > The draft is looking very good.
> > >
> > > One small comment - in Section 2 , the definition of
> > "emergency address"
> > > should be more general than 'a VoIP emergency call' because
> > this document
> > > relates to multiple services. I suggest that the last part of the 
> > > definition read: " ....... which represents the network
> > address of the
> > > PSAP useful for the completion of an emergency call."
> > >
> > > Alternatively, it could be made more specific with the
> > words " .......
> > > which represents the network address of the PSAP useful for
> > the completion
> > > of a VoIP or other general Internet multimedia emergency
> > call." (Words
> > > taken from the Abstract.)
> > >
> > > I prefer the first option.
> > >
> > > Cheers,
> > > /Barry
> > >
> > >
> > > Barry DINGLE
> > > Telecommunications Consultant
> > > Fellow of the University of Melbourne Chair - ACIF Customer 
> > > Equipment and Cable Reference Panel (CECRP)
> > >     [email-masked]
> > >   Mob:   +61 (0)41 911 7578
> > >   Fixed: +61 (0)3 9725 3937
> > >   ToIP:  [email-masked]
> > >
> > >
> > >
> > > Tschofenig, Hannes wrote:
> > > hi all,
> > >
> > > please find an update of the 'Requirements for Emergency Context 
> > > Resolution with Internet Technologies' draft at:
> > > 
> http://www.ietf-ecrit.org/cache/draft-ietf-ecrit-requirements-00.txt
> > >
> > > ciao
> > > hannes
> > >
> > > _______________________________________________
> > > Ecrit mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/ecrit
> > >
> > >
> > >
> > >
> > >
> > > _______________________________________________
> > > Ecrit mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/ecrit
> >
> 
> 
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit
> 

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit